summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2008-07-03 13:29:03 -0400
committerBill Nottingham <notting@redhat.com>2008-07-03 13:29:03 -0400
commitb29327813c666850c6ae2fb5d8dcfba90af196d3 (patch)
tree1f92f1ef8f41a095292d23b54727cca89174b6bc
parentbd8793437018d40bfa58264363fd207cb5770eeb (diff)
downloadinitscripts-b29327813c666850c6ae2fb5d8dcfba90af196d3.tar.gz
initscripts-b29327813c666850c6ae2fb5d8dcfba90af196d3.tar.xz
initscripts-b29327813c666850c6ae2fb5d8dcfba90af196d3.zip
remove references to static dmraid/multipath binaries (#453987)
-rwxr-xr-xrc.d/init.d/netfs4
-rwxr-xr-xrc.d/rc.sysinit10
2 files changed, 7 insertions, 7 deletions
diff --git a/rc.d/init.d/netfs b/rc.d/init.d/netfs
index 1ad100bb..c0ea8525 100755
--- a/rc.d/init.d/netfs
+++ b/rc.d/init.d/netfs
@@ -43,9 +43,9 @@ case "$1" in
[ -n "$NCPFSTAB" ] && action $"Mounting NCP filesystems: " mount -a -t ncpfs
[ -n "$NETDEVFSTAB" ] &&
{
- if [ -f /etc/multipath.conf -a -x /sbin/multipath.static ]; then
+ if [ -f /etc/multipath.conf -a -x /sbin/multipath ]; then
modprobe dm-multipath >/dev/null 2>&1
- /sbin/multipath.static -v 0
+ /sbin/multipath -v 0
if [ -x /sbin/kpartx ]; then
/sbin/dmsetup ls --target multipath --exec "/sbin/kpartx -a"
fi
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index bdcbe0fc..81335c01 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -328,22 +328,22 @@ fi
if [ -c /dev/mapper/control ]; then
if ! strstr "$cmdline" nompath && [ -f /etc/multipath.conf -a \
- -x /sbin/multipath.static ]; then
+ -x /sbin/multipath ]; then
modprobe dm-multipath > /dev/null 2>&1
- /sbin/multipath.static -v 0
+ /sbin/multipath -v 0
if [ -x /sbin/kpartx ]; then
/sbin/dmsetup ls --target multipath --exec "/sbin/kpartx -a -p p" >/dev/null
fi
fi
- if ! strstr "$cmdline" nodmraid && [ -x /sbin/dmraid.static ]; then
+ if ! strstr "$cmdline" nodmraid && [ -x /sbin/dmraid ]; then
modprobe dm-mirror >/dev/null 2>&1
- for x in $(/sbin/dmraid.static -ay -i -p -t 2>/dev/null | \
+ for x in $(/sbin/dmraid -ay -i -p -t 2>/dev/null | \
egrep -iv "^no " | \
(IFS=":";while read a rest;do echo $a;done)) ; do
dmname=$(resolve_dm_name $x)
[ -z "$dmname" ] && continue
- /sbin/dmraid.static -ay -i -p "$dmname" >/dev/null 2>&1
+ /sbin/dmraid -ay -i -p "$dmname" >/dev/null 2>&1
/sbin/kpartx -a -p p "/dev/mapper/$dmname"
done
fi